# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Jan  7 17:26:25 2021
# ------------------------------------------------

package:
    name: starlink-ast
    version: 9.2.3
source:
    patches:
        - patches/cross-compile-makefile.patch
        - patches/osx-11-configure.patch
    sha256: 4d7e28a2f30cd11ded5751c9b134d2365939beb70ccd4acd75cfeec7bb76faeb
    url: https://github.com/Starlink/ast/releases/download/v9.2.3/ast-9.2.3.tar.gz
build:
    number: '1'
    string: h7f98852_1
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - binutils_impl_linux-64 2.35.1 h193b22a_1
        - binutils_linux-64 2.35 hc3fd857_29
        - gcc_impl_linux-64 9.3.0 h28f5a38_17
        - gcc_linux-64 9.3.0 h7247604_29
        - gnuconfig 2020.11.07 hd8ed1ab_0
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.35.1 hea4e1c9_1
        - libgcc-devel_linux-64 9.3.0 hfd08b2a_17
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - libtool 2.4.6 h58526e2_1007
        - make 4.3 hd18ef5c_1
        - sysroot_linux-64 2.12 h77966d4_13
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - yaml 0.2.5 h516909a_0
    run:
        - libgcc-ng >=9.3.0
        - yaml >=0.2.5,<0.3.0a0
test:
    commands:
        - test -f ${PREFIX}/include/star/ast.h
        - test -f ${PREFIX}/lib/libast${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_drama${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_ems${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_err${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_grf3d${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_grf_2.0${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_grf_3.2${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_grf_5.6${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_pgplot${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_pgplot3d${SHLIB_EXT}
        - test -f ${PREFIX}/lib/libast_pal${SHLIB_EXT}
about:
    description: 'The AST library provides a comprehensive range of facilities for
        attaching world coordinate systems to astronomical data, for retrieving and
        interpreting that information and for generating graphical output based on
        it. It''s main selling points are:


        * Ease of use.

        * Facilities for generating plots of generalised non-linear, potentially discontinuous
        2-D or 3-D coordinate systems, with detailed control of the appearance of
        the plot.

        * Facilities for converting transparently between different coordinate systems,
        including a wide range of celestial, spectral and time coordinate systems.

        * Facilities for searching a general collection of connected coordinate systems
        for a coordinate system with any given set of characteristics.

        * Allows code for handling WCS information to be written in a general way
        without regard to the specific nature of the coordinate systems being handled
        (i.e. whether they represent sky positions, spectral positions, focal plane
        positions, pixel positions, etc).

        * Flexible system for saving and retrieving WCS information, including (but
        not limited to) a range of different popular FITS descriptions.

        * Written in C but has interfaces for C, Fortran, Python, Java (via JNI),
        Perl, and UNIX shell.

        * Extensive documentation.

        * LGPL licence.

        '
    dev_url: https://github.com/Starlink/ast
    doc_url: http://starlink.eao.hawaii.edu/devdocs/sun211.htx/sun211.html
    home: http://starlink.eao.hawaii.edu/starlink/AST
    license: LGPL-2.0-only
    license_file: COPYING
    summary: A Library for Handling World Coordinate Systems in Astronomy
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - brianv0
        - timj
